<div class="animated fadeIn">
    <div class="row">
     <div class="col-lg-12">
       <div class="card">
         <div class="card-header">
           <i class="fa fa-align-justify"></i><b> Club Management</b>
         </div>
         <div class="card-body">
           <table class="table table-bordered table-striped table-sm">
             <thead>
               <tr>
                 <th>Club Name</th>
                 <th>Location</th>
                 <th>Club Management Team</th>
               </tr>
             </thead>
             <tbody> 
                <ng-container *ngFor="let club of clubs; let i = index"> 
                <tr  *ngIf="club.clubName">
                 <td>{{club.clubName}}</td>
                 <td>{{club.address}}</td>
                 <td>
                       <button type="button" class="btn btn-link btn-sm" (click)="open(content,i)">
                           View
                         </button>
                 </td>
                
               </tr>
            </ng-container>
            
             </tbody>
           </table>
         </div>
       </div>
     </div>
     <!--/.col-->
   </div>
   <!--/.row-->

    <ng-template #content let-c="close" let-d="dismiss" class="dark-modal">
        <div>
        <div class="modal-header">
          <h4 class="modal-title">{{this.selectedClubName}} Management Team</h4>
          <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
          </button>
        </div>
        <div class="modal-body">
          <p>
          <button type="button" class="btn btn-sm" (click)="add()">Add team member</button>
          </p>
          <table class="table table-bordered table-striped table-lg">
                <thead>
                  <tr>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Position</th>
                    <th>Email</th>
                    <th>Phone</th>
                    <th>Add/Remove</th>
                  </tr>
                </thead>
                <tbody> 
                  <ng-container *ngFor="let teamMember of teams; let i = index"> 
                  <tr *ngIf="teamMember.clubId">
                    <td>{{teamMember.firstName}}</td>
                    <td> {{teamMember.lastName}}</td>
                    <td>{{teamMember.position}}</td>
                    <td>{{teamMember.email}}</td>
                    <td>{{teamMember.phone}}</td>
                    <td>  
                        <button type="button" class="btn btn-link btn-sm" (click)="remove(i)">Remove</button>
                    </td>                   
                  </tr>
                </ng-container>

                  <tr *ngIf="addable">
                        <td>
                            <input type=text [(ngModel)]="newTeam.firstName" name="fname" size="10">
                        </td>
                        <td>
                          <input type=text [(ngModel)]="newTeam.lastName" name="lname" size="10">
                       </td>
                        <td>
                            <input type=text [(ngModel)]="newTeam.position" name="position" size="10">
                        </td>
                        <td>
                            <input type=text [(ngModel)]="newTeam.email" name="email" size="10">
                        </td>
                        <td>
                            <input type=text [(ngModel)]="newTeam.phone" name="phone" size="10">
                        </td>
                        <td>
                            <button type="button" class="btn btn-link btn-sm" (click)="save(i)">Save</button>
                        </td>                   
                </tr>
                </tbody>
              </table>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-outline-dark" (click)="c('Close click')">Close</button>
        </div>

    </div>
    </ng-template>    
      
 </div>
 